<div *ngIf="!quote" class="d-flex justify-content-center h-100">
  <div class="spinner-border m-auto" role="status">
    <span class="sr-only">Loading...</span>
  </div>
</div>

<div *ngIf="quote" class="row justify-content-between mb-4">
  <div class="col-lg-12 col-md-12 col-sm-12 mb-3">
    <div class="d-flex align-items-center">
      <button [routerLink]="[previousRoute]" class="btn btn-basic mr-3">
        <fa-icon [icon]="icons.faChevronLeft"></fa-icon>
      </button>
      <h2 class="mb-0">{{quote.name}}</h2>
    </div>
  </div>
  <div class="col-lg-12 col-md-12 col-sm-12 mb-3">
    <form #quoteForm="ngForm" (ngSubmit)="submit(quoteForm)">
      <div class="row">
        <div class="col-md-12">
          <div class="form-group">
            <div class="row mb-3">
              <div class="col-md-4">
                <label for="name">Nom</label>
                <input id="name" class="form-control" name="name" type="text" [ngModel]="quote.name">
              </div>
              <div class="col-md-4">
                <label for="status">Statut</label>
                <select id="status" class="custom-select" name="status" [ngModel]="quote.status">
                  <option [ngValue]="'Validé'">Validé</option>
                  <option [ngValue]="'En cours'">En cours</option>
                  <option [ngValue]="'Refusé'">Refusé</option>
                </select>
              </div>
              <div class="col-md-3 align-self-end">
                <button class="btn btn-info" type="submit" [disabled]="!quoteForm.form.valid">Mettre à jour</button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </form>
  </div>
  <div *ngIf="quote.status === 'Validé' && paymentTerms" class="col-lg-6 col-md-12 col-sm-12 col-12 mx-auto mb-5">
    <h3 class="text-center">Echéancier des versements</h3>
    <table class="table table-striped bg-white">
      <tbody>
      <tr>
        <th>A la signature</th>
        <td>{{(quote.amount * 1.2) * (paymentTerms.signatureTerm / 100) | number:'1.2-2'}} € TTC</td>
      </tr>
      <tr>
        <th>Obtention du permis de construire</th>
        <td>{{(quote.amount * 1.2) * (paymentTerms.constructionAgreement / 100) | number:'1.2-2'}} € TTC</td>
      </tr>
      <tr>
        <th>Ouverture du chantier</th>
        <td>{{(quote.amount * 1.2) * (paymentTerms.constructionOpening / 100) | number:'1.2-2'}} € TTC</td>
      </tr>
      <tr>
        <th>Achèvement des fondations</th>
        <td>{{(quote.amount * 1.2) * (paymentTerms.fondationsCompletion / 100) | number:'1.2-2'}} € TTC</td>
      </tr>
      <tr>
        <th>Achèvement des murs</th>
        <td>{{(quote.amount * 1.2) * (paymentTerms.wallsCompletion / 100) | number:'1.2-2'}} € TTC</td>
      </tr>
      <tr>
        <th>Mise hors d’eau/hors d’air</th>
        <td>{{(quote.amount * 1.2) * (paymentTerms.roofCompletion / 100) | number:'1.2-2'}} € TTC</td>
      </tr>
      <tr>
        <th>Achèvement des travaux d’équipement (plomberie, menuiserie, chauffage)</th>
        <td>{{(quote.amount * 1.2) * (paymentTerms.equipmentCompletion / 100) | number:'1.2-2'}} € TTC</td>
      </tr>
      <tr>
        <th>Remise des clés</th>
        <td>{{(quote.amount * 1.2) * (paymentTerms.keysHandover / 100) | number:'1.2-2'}} € TTC</td>
      </tr>
      <tr>
        <th>Total</th>
        <td><strong>{{(quote.amount * 1.2) | number:'1.2-2'}} € TTC</strong></td>
      </tr>
      </tbody>
    </table>
  </div>
  <div *ngIf="file" class="col-lg-12 col-md-12 col-sm-12 mb-3">
    <p class="text-center"><a class="btn btn-basic" [href]="file">Télécharger le devis</a></p>
    <pdf-viewer [src]="file"
                [show-borders]="true"
                [render-text]="true"
                style="display: block; width: 100%;"
    ></pdf-viewer>
  </div>
</div>
